## cc1111 2.9.0

=== src/izt/Makefile ===
srcdir       = .
top_builddir = ../../
top_srcdir   = ../..

# Make all in this directory
include ../port.mk
