=== debian/changelog ===
cc1111 (2.9.0-7) unstable; urgency=low

  * patch from Chris Lamb to enable reproducible builds, closes: #829493

 -- Bdale Garbee <bdale@gag.com>  Mon, 04 Jul 2016 01:06:12 +0200

cc1111 (2.9.0-6) unstable; urgency=low

  * patch from Eric Cooper to suppress additional output when disabling
    warning 18, closes: #784273

 -- Bdale Garbee <bdale@gag.com>  Fri, 08 May 2015 12:24:54 -0600

cc1111 (2.9.0-5) unstable; urgency=low

  * add mcs51 assembler symlink for compatibility with recent versions
    of SDCC using patch from Eric Cooper, closes: #763678

 -- Bdale Garbee <bdale@gag.com>  Sat, 02 May 2015 12:25:04 -0600

cc1111 (2.9.0-4) unstable; urgency=low

  * freshen makebin.c from upstream SDCC to addres mayhem report, 
    closes: #716096

 -- Bdale Garbee <bdale@gag.com>  Tue, 25 Mar 2014 18:31:12 -0700

cc1111 (2.9.0-3) unstable; urgency=low

  [ Kamal Mostafa ]
  * fix build on older platforms:
    - debian/rules now uses $(shell) instead of ``
  * patch to fix format-not-a-string-literal errors with gcc 4.6.3

 -- Bdale Garbee <bdale@gag.com>  Thu, 04 Oct 2012 18:41:03 -0600

cc1111 (2.9.0-2) unstable; urgency=low

  * fix details identified by ftp-master during initial NEW processing
    - debian/copyright updated to attribute package construction correctly
    - debian/copyright updated to mention LGPL and BSD licensed source files
    - debian/README.source removed as the package now uses normal processes

 -- Bdale Garbee <bdale@gag.com>  Thu, 28 Jun 2012 16:13:43 -0600

cc1111 (2.9.0-1) unstable; urgency=low

  * fork SDCC since 3.X break the build of AltOS, and upstream remains
    uninterested in our TI/Chipcon SOC-specific source-level debugging
    support .. started with Debian 2.9.0-5 SDCC package source

 -- Bdale Garbee <bdale@gag.com>  Fri, 08 Jun 2012 17:38:37 +0900
