=== debian/control ===
Source: cc1111
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>=7), autoconf, autotools-dev, libtool, flex, bison, 
 libncurses5-dev
Standards-Version: 3.9.8
Homepage: http://sdcc.sourceforge.net

Package: cc1111
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: sdcc, sdcc-libraries, sdcc-ucsim, sdcc-doc
Description: C Compiler for TI/Chipcon 8051-based RF SOCs
 This is a C compiler and related tools for developing firmware for 
 TI/Chipcon RF System on Chip (SOC) parts based on the 8051 processing 
 core.  These include at least the CC1110, CC1111, CC2510, and CC2511, 
 CC2530, CC2531, CC2533, CC2543, and CC2544.
 .
 This package started as a fork of Debian SDCC 2.9.0-5, motivated both 
 as a workaround for increases in the size of 8051 code generated by later 
 versions of SDCC that cause AltOS to fail to build successfully, and a 
 desire to incorporate support for source-level debugging on real hardware.
